# Class TapResultReader

java.lang.Object
uk.ac.starlink.ttools.task.TapResultReader

public class TapResultReader extends Object
Aggregates parameters used for recovering and delivering the result of a TAP query.

Since:
  23 Feb 2011
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TapResultReader.DeleteMode`
Enumeration of UWS job deletion modes.

## Constructor Summary

Constructors
Constructor
Description
`TapResultReader()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`TapResultProducer`
`createResultProducer(uk.ac.starlink.task.Environment env, uk.ac.starlink.util.ContentCoding coding)`
Returns an object which can acquire a table from a TAP query object.
`uk.ac.starlink.task.Parameter<TapResultReader.DeleteMode>`
`getDeleteParameter()`
Returns the parameter used to acquire the deletion mode for async queries.
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
Returns the parameters associated with this object.
`uk.ac.starlink.task.BooleanParameter`
`getProgressParameter()`
Returns the parameter which indicates whether progress should be logged to the user.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TapResultReader

public TapResultReader()
Constructor.

## Method Details

### getParameters

public uk.ac.starlink.task.Parameter<?>[] getParameters()
Returns the parameters associated with this object.

Returns:
  parameters

### getProgressParameter

public uk.ac.starlink.task.BooleanParameter getProgressParameter()
Returns the parameter which indicates whether progress should be logged to the user.

Returns:
  progress parameter

### getDeleteParameter

public uk.ac.starlink.task.Parameter<TapResultReader.DeleteMode> getDeleteParameter()
Returns the parameter used to acquire the deletion mode for async queries.

Returns:
  deletion mode parameter

### createResultProducer

public TapResultProducer createResultProducer(uk.ac.starlink.task.Environment env, uk.ac.starlink.util.ContentCoding coding) throws uk.ac.starlink.task.TaskException
Returns an object which can acquire a table from a TAP query object.

Parameters:
  `env` - execution environment
  `coding` - configures HTTP compression
Returns:
  TAP table producer
Throws:
  `uk.ac.starlink.task.TaskException`